Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), NavigationItem(False), CreatableItem(False)> _
Public Class SpecTranRevaluationLiquidAssets
    Inherits BaseObject

    Private _SpecTranRevaluation As SpecTranRevaluation
    Private _LiquidAssets As LiquidAssets
    Private _BallanceDEV As Double
    Private _BallanceHUF As Double
    Private _BallanceHUF_Revaluation As Double
    Private _DifferenceHUF As Double
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    <Association("SpecTranRevaluation-SpecTranRevaluationLiquidAssets", GetType(SpecTranRevaluation))> _
    Property SpecTranRevaluation As SpecTranRevaluation
        Get
            Return _SpecTranRevaluation
        End Get
        Set(value As SpecTranRevaluation)
            SetPropertyValue("SpecTranRevaluation", _SpecTranRevaluation, value)
        End Set
    End Property
    Property LiquidAssets As LiquidAssets
        Get
            Return _LiquidAssets
        End Get
        Set(value As LiquidAssets)
            SetPropertyValue("LiquidAssets", _LiquidAssets, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceDEV", _BallanceDEV, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceHUF_Revaluation As Double
        Get
            Return _BallanceHUF_Revaluation
        End Get
        Set(value As Double)
            SetPropertyValue("BallanceHUF_Revaluation", _BallanceHUF_Revaluation, value)
        End Set
    End Property
    Property DifferenceHUF As Double
        Get
            Return _DifferenceHUF
        End Get
        Set(value As Double)
            SetPropertyValue("DifferenceHUF", _DifferenceHUF, value)
        End Set
    End Property

End Class
